/*
 * $Id: 5a5c799c8a60f3ddabd785d54ec8850c5c9f8fa1 $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNSMTP_LOG_H
#define HAD_LIBNSMTP_LOG_H

#include <stdio.h>
#include <time.h>

#ifdef NSMTP_DEBUG
#define DEBUG(args)	{ (void)printf("D @ %lu: ", (unsigned long)time(NULL)); (void)printf args; (void)printf("\n"); }
#else
#define DEBUG(args)	{ ; }
#endif

void xinfo(const char *, ...);
void xwarn(const char *, ...);
void xfatal(const char *, ...);
void xdie(const char *, ...) __attribute__((noreturn));

#endif
