/*
 * $Id: f18ea95e9d56d4d03008d0095d9426191c96b84c $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNSMTP_SPOOL_H
#define HAD_LIBNSMTP_SPOOL_H

#include "smtp.h"

SMTP_CTX *read_spoolfile(const char *, const char *);
int spool(const char *, const SMTP_CTX *);
int update_spool(const char *, const char *, const SMTP_CTX *);
void do_dir(const char *, void (*)(const char *, const char *));

int lock_spool(const char *, const char *, char *, size_t);
int try_lock_spool(const char *, const char *, char *, size_t);
void unlock_spool(const char *, char *, size_t);

void defer_rcpt(const char *, const char *, SMTP_CTX *, const char *);

int is_in_list(const char **, const char *);
int is_deferred(const SMTP_CTX *, const char *);
int is_rcpt(const SMTP_CTX *, const char *);

#endif
